Security Enhanced Linux Reference Policy

# Layer: services

## Module: hal

Interfaces

### Description:

Hardware abstraction layer

### Interfaces:

hal_dbus_chat( domain )

##### Summary

Send and receive messages from hal over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_dbus_send( domain )

##### Summary

Send a dbus message to hal.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_dgram_send( domain )

##### Summary

Send to hal over a unix domain datagram socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_domtrans( domain )

##### Summary

Execute hal in the hal domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_domtrans_mac( domain )

##### Summary

Execute hal mac in the hal mac domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_dontaudit_append_lib_files( domain )

##### Summary

Do not audit attempts to read or write HAL libraries files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_dontaudit_rw_pipes( domain )

##### Summary

Do not audit attempts to read and write to hald unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

hal_dontaudit_use_fds( domain )

##### Summary

Do not audit attempts to use file descriptors from hal.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

hal_dontaudit_write_log( domain )

##### Summary

Do not audit attempts to write the hal log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit

hal_getattr( domain )

##### Summary

Get the attributes of a hal process.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_manage_log( domain )

##### Summary

Manage hald log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_manage_pid_dirs( domain )

##### Summary

Manage hald PID dirs.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_manage_pid_files( domain )

##### Summary

Manage hald PID files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_ptrace( domain )

##### Summary

Allow ptrace of hal domain

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_read_pid_files( domain )

##### Summary

Read hald PID files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_read_state( domain )

##### Summary

Read hal system state

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

hal_read_tmp_files( domain )

##### Summary

Read hald tmp files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_rw_pid_files( domain )

##### Summary

Read/Write hald PID files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_rw_pipes( domain )

##### Summary

Allow attempts to read and write to hald unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

hal_stream_connect( domain )

##### Summary

Send to hal over a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hal_use_fds( domain )

##### Summary

Allow domain to use file descriptors from hal.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

hal_write_log( domain )

##### Summary

Allow attempts to write the hal log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return